//#version 120 //attribute
precision mediump float;
varying vec2 aCoordinate;

//uniform sampler2D fTextureOrg;
uniform sampler2D fTextureLine;
uniform int isCombineMask;

void main() {
    if (isCombineMask==1){
        vec4 maskColor = texture2D(fTextureLine, aCoordinate);//以前的代码 不优化处理
        float lineA = maskColor.b;
        float minA = 50.0/255.0;
        float maxA = 100.0/255.0;
        if (lineA>=minA){
            lineA = (lineA - minA)/(maxA - minA);
            gl_FragColor = vec4(0, 0, 0, lineA);
        } else {
            gl_FragColor = vec4(0, 0, 0, 0);
        }
        if (maskColor.r == 1.0 && maskColor.g == 1.0){
            gl_FragColor = vec4(0, 0, 0, 0);
        }
    } else {
        gl_FragColor = texture2D(fTextureLine, aCoordinate);//以前的代码 不优化处理
    }

    //    if (gl_FragColor.a >0.0){ //黑边
    //        vec4 base = texture2D(fTextureOrg, aCoordinate);
    //        gl_FragColor = vec4(0, 0, 0, gl_FragColor.a);
    //    }

    //    else {
    //        if (gl_FragColor.a >0.0){ //漏彩边
    //            vec4 base = texture2D(fTextureOrg, aCoordinate);
    //            gl_FragColor = vec4(base.r, base.g, base.b, gl_FragColor.a);
    //        }
}
//
//vec4 BiCubic(sampler2D textureSampler, vec2 TexCoord)
//{
//    float fWidth = 2048.0*2.0;
//    float fHeight = 2048.0*2.0;
//    float texelSizeX = 1.0 / fWidth;//size of one texel
//    float texelSizeY = 1.0 / fHeight;//size of one texel
//    vec4 nSum = vec4(0.0, 0.0, 0.0, 0.0);
//    vec4 nDenom = vec4(0.0, 0.0, 0.0, 0.0);
//    float a = fract(TexCoord.x * fWidth);// get the decimal part
//    float b = fract(TexCoord.y * fHeight);// get the decimal part
//    for (int m = -1; m <=2; m++)
//    {
//        for (int n =-1; n<= 2; n++)
//        {
//            vec4 vecData = texture2D(textureSampler,
//            TexCoord + vec2(texelSizeX * float(m),
//            texelSizeY * float(n)));
//            float f  = BSpline(float(m) - a);
//            vec4 vecCooef1 = vec4(f, f, f, f);
//            float f1 = BSpline (-(float(n) - b));
//            vec4 vecCoeef2 = vec4(f1, f1, f1, f1);
//            nSum = nSum + (vecData * vecCoeef2 * vecCooef1);
//            nDenom = nDenom + ((vecCoeef2 * vecCooef1));
//        }
//    }
//    return nSum / nDenom;
//}
//float Triangular(float f)
//{
//    f = f / 2.0;
//    if (f < 0.0)
//    {
//        return (f + 1.0);
//    }
//    else
//    {
//        return (1.0 - f);
//    }
//    return 0.0;
//}
//
//float BellFunc(float x)
//{
//    float f = (x / 2.0) * 1.5;// Converting -2 to +2 to -1.5 to +1.5
//    if (f > -1.5 && f < -0.5)
//    {
//        return (0.5 * pow(f + 1.5, 2.0));
//    }
//    else if (f > -0.5 && f < 0.5)
//    {
//        return 3.0 / 4.0 - (f * f);
//    }
//    else if ((f > 0.5 && f < 1.5))
//    {
//        return (0.5 * pow(f - 1.5, 2.0));
//    }
//    return 0.0;
//}
//
//float BSpline(float x)
//{
//    float f = x;
//    if (f < 0.0)
//    {
//        f = -f;
//    }
//
//    if (f >= 0.0 && f <= 1.0)
//    {
//        return (2.0 / 3.0) + (0.5) * (f* f * f) - (f*f);
//    }
//    else if (f > 1.0 && f <= 2.0)
//    {
//        return 1.0 / 6.0 * pow((2.0 - f), 3.0);
//    }
//    return 1.0;
//}
//float CatMullRom(float x)
//{
//    const float B = 0.0;
//    const float C = 0.5;
//    float f = x;
//    if (f < 0.0)
//    {
//        f = -f;
//    }
//    if (f < 1.0)
//    {
//        return ((12.0 - 9.0 * B - 6.0 * C) * (f * f * f) +
//        (-18.0 + 12.0 * B + 6.0 *C) * (f * f) +
//        (6.0 - 2.0 * B)) / 6.0;
//    }
//    else if (f >= 1.0 && f < 2.0)
//    {
//        return ((-B - 6.0 * C) * (f * f * f)
//        + (6.0 * B + 30.0 * C) * (f *f) +
//        (- (12.0 * B) - 48.0 * C) * f +
//        8.0 * B + 24.0 * C)/ 6.0;
//    }
//    else
//    {
//        return 0.0;
//    }
//}




