uniform mat4 u_Matrix;
uniform float u_Time;//代表程序运行时间

attribute vec3 a_Position;//z
attribute vec3 a_Color;
//attribute vec3 a_DirectionVector;
//attribute float a_ParticleStartTime;//粒子开始时间。
//attribute float a_ParticleLifeTime;//粒子生命时间。
attribute float a_ParticleSize;//粒子的大小。
attribute float a_ParticleAngle;//粒子的角度为负时逆时针旋转,反之为顺时针。

varying vec3 v_Color;
//varying float v_ElapsedTime;//流逝时间
//varying float v_ParticleLifeTime;//流逝时间
varying float v_ParticleAngle;//粒子的角度为负时逆时针旋转,反之为顺时针。

void main(){
    v_Color = a_Color;
    v_ParticleAngle = a_ParticleAngle;

    gl_Position =  u_Matrix * vec4(a_Position.x, a_Position.y, 0.0, 1.0);//点的位置 内置变量

    gl_PointSize = a_ParticleSize*u_Matrix[0][0];//设置点的大小 内置变量
}