//#version 120 //attribute
precision mediump float;
//const float dx = 0.003922;
varying vec2 aCoordinate;
varying vec2 aFBOTextureCoord;//FBO纹理坐标

uniform sampler2D fTextureMidFBO;
uniform sampler2D fTextureLastFBO;//用户最后一次的涂抹数据
uniform int useWhiteFBO;//是否使用FBO 0不使用 1使用 2合并最后一次的涂抹 3清空

//bool isEques(const vec4 colorOne, const vec4 colorTwo);
vec4 mixcolor(vec4 bottom, vec4 top, float topAlpha);

void main() {
    gl_FragColor = vec4(1, 1, 1, 1);
    if (useWhiteFBO == 1) {
        gl_FragColor = texture2D(fTextureMidFBO, aFBOTextureCoord);
    }
}

vec4 mixcolor(vec4 bottom, vec4 top, float topAlpha){
    return vec4(
    top.r*(top.a * topAlpha)+bottom.r*(1.0-top.a * topAlpha),
    top.g*(top.a * topAlpha)+bottom.g*(1.0-top.a *  topAlpha),
    top.b*(top.a * topAlpha)+bottom.b*(1.0-top.a *  topAlpha), 1.0);
}

//bool isEques(const vec4 colorOne, const vec4 colorTwo){
//    float r = colorOne.r - colorTwo.r;
//    float g = colorOne.g- colorTwo.g;
//    //    float b = colorOne.b- colorTwo.b;
//    //float a = colorOne.a- colorTwo.a;
//    if ((r < dx && r> -dx)
//    &&(g < dx && g> -dx)
//    //    &&(b < dx && b> -dx)
//    //    &&(a < dx && a> -dx)
//    ){
//        return true;
//    } else {
//        return false;
//    }
//}
