//#version 120 //attribute
precision mediump float;
//const float dx = 0.003922;
varying vec2 aCoordinate;
varying vec2 aFBOTextureCoord;//FBO纹理坐标

uniform sampler2D fTextureBgFBO;
uniform sampler2D fTextureFgFBO;//用户最后一次的涂抹数据

vec4 mixcolor(vec4 bottom, vec4 top, float topAlpha);

void main() {
    vec4 bg = texture2D(fTextureBgFBO, aFBOTextureCoord);
    vec4 fg = texture2D(fTextureFgFBO, aFBOTextureCoord);
    gl_FragColor = mixcolor(bg, fg, 1.0);
}

vec4 mixcolor(vec4 bottom, vec4 top, float topAlpha){
    return vec4(
    top.r*(top.a * topAlpha)+bottom.r*(1.0-top.a * topAlpha),
    top.g*(top.a * topAlpha)+bottom.g*(1.0-top.a *  topAlpha),
    top.b*(top.a * topAlpha)+bottom.b*(1.0-top.a *  topAlpha), 1.0);
}

//bool isEques(const vec4 colorOne, const vec4 colorTwo){
//    float r = colorOne.r - colorTwo.r;
//    float g = colorOne.g- colorTwo.g;
//    //    float b = colorOne.b- colorTwo.b;
//    //float a = colorOne.a- colorTwo.a;
//    if ((r < dx && r> -dx)
//    &&(g < dx && g> -dx)
//    //    &&(b < dx && b> -dx)
//    //    &&(a < dx && a> -dx)
//    ){
//        return true;
//    } else {
//        return false;
//    }
//}
