precision mediump float;

varying vec3 v_Color;
varying float v_ParticleAngle;

uniform sampler2D u_TextureUnit;
uniform float vFBOWH;//fbo的宽高比 1080.0/2042.0
uniform float vMaskWH;//mask的宽高比 720.0/1280.0

void main(){
    //计算斜边长度
    float vWH =1.0 - vFBOWH/vMaskWH;

    if (gl_PointCoord.x<vWH*0.5){
       discard;
    }
    if (gl_PointCoord.x>(1.0-vWH*0.5)){
        discard;
    }

    vec2 temp =vec2((gl_PointCoord.x-vWH*0.5)/(1.0-vWH), gl_PointCoord.y);
    //    if (v_ParticleAngle == 0.0){
    gl_FragColor = vec4(0.0, 0.0, 0.0, texture2D(u_TextureUnit, temp).a);
    //    } else {
    //        float hLine = distance(vec2(0.5, 0.5), temp);
    //        //通过角度来计算x ，y轴坐标
    //        temp.x = hLine * cos(v_ParticleAngle);
    //        temp.y = hLine * sin(v_ParticleAngle);
    //        //将坐标转换为纹理坐标
    //        temp.x = temp.x + 0.5;
    //        temp.y = temp.y + 0.5;
    //        if (temp.x > 1.0){
    //            temp.x = 1.0;
    //        }
    //        if (temp.y > 1.0){
    //            temp.y = 1.0;
    //        }
    //        if (temp.x < 0.0){
    //            temp.x =  0.0;
    //        }
    //        if (temp.y < 0.0){
    //            temp.y =  0.0;
    //        }
    //
    //        gl_FragColor = vec4(0.0, 0.0, 0.0, texture2D(u_TextureUnit, temp).a);
    //    }

}


